package se.koc.trader.struct;

import zutil.db.bean.DBBean;

/**
 * Data class containing information about a single candlestick.
 */
@DBBean.DBTable("candlestick")
public class CandleStick {
    private Symbol symbol;
    private long timestampOpen;
    private long timestampClosed;

    private double bodyOpen;
    private double bodyClose;
    private double wickHigh;
    private double wickLow;
    private double volume;


    public Symbol getSymbol() {
        return symbol;
    }
    public void setSymbol(Symbol symbol) {
        this.symbol = symbol;
    }

    public long getTimestampOpen() {
        return timestampOpen;
    }
    public void setTimestampOpen(long timestampOpen) {
        this.timestampOpen = timestampOpen;
    }

    public long getTimestampClosed() {
        return timestampClosed;
    }
    public void setTimestampClosed(long timestampClosed) {
        this.timestampClosed = timestampClosed;
    }

    public double getBodyOpen() {
        return bodyOpen;
    }
    public void setBodyOpen(double bodyOpen) {
        this.bodyOpen = bodyOpen;
    }

    public double getWickHigh() {
        return wickHigh;
    }
    public void setWickHigh(double wickHigh) {
        this.wickHigh = wickHigh;
    }

    public double getWickLow() {
        return wickLow;
    }
    public void setWickLow(double wickLow) {
        this.wickLow = wickLow;
    }

    public double getBodyClose() {
        return bodyClose;
    }
    public void setBodyClose(double bodyClose) {
        this.bodyClose = bodyClose;
    }

    public double getVolume() {
        return volume;
    }
    public void setVolume(double volume) {
        this.volume = volume;
    }
}
